Bug 1014358 - Pagination and filtering on tables
Pagination and filtering on tables
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: DR1
: 6.2.0
Assigned To: Neus Miras
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 15:37 EDT by Catherine Robson
Modified: 2015-10-07 07:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Catherine Robson 2013-10-01 15:37:24 EDT
Description of problem:
With thousands of instances and tasks, the current data grid/table and pagination will likely not be sufficient for users to be able to manage the amount of data in the user interface.

Pages to resolve:
- Process Instances
- Task List

Not clear if Deployments would have many items or not.


Expected outcome:
Users should be able to easily do the following interactions with these large data tables:

- easy pagination controls that allow for first, last, next, previous, and some around the current page (must have)
- change the number of items shown on one pageful (nice to have)
- jump to a page (must have)
- Number of items shown out of total number of items (must have)
- Faceted filtering to allow easy decreasing of the number of items viewed (must have)
- keyword search (already exists)
- sorting of rows (where it makes sense - partially implemented - dates should be sortable)
Comment 3 Neus Miras 2015-02-05 05:32:57 EST
The total number of items is displayed when performance is not affected by the necessary consultation to obtain it.
You can not generalize paging component because it is the data provider decides whether the query of the total number of items penalizes performance.
We've added a button that lets you change the number of items displayed per page in this commits:

Commits 
master
https://github.com/droolsjbpm/jbpm-console-ng/commit/50a15b8b8d17d8cfbbad3053fa35b77dc77640ac

https://github.com/uberfire/uberfire-extensions/commit/7a127211597c66f732072ebc4dc062bcc1a357b9


The 'select all' opcion, currently involves major changes in code, and  we mark it as a future feature requirement.
Comment 4 Tomas David 2015-10-07 07:05:49 EDT
Verified on 6.2.0.ER3.

Note You need to log in before you can comment on or make changes to this bug.